Bug 472079 - (perl-Regexp-Copy) Review Request: perl-Regexp-Copy - Copy Regexp objects
Review Request: perl-Regexp-Copy - Copy Regexp objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 11:42 EST by Iain Arnell
Modified: 2008-11-26 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:09:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-18 11:42:57 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Regexp-Copy.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Regexp-Copy-0.06-1.fc9.src.rpm
Description: Regexp::Copy allows you to copy the contents of one Regexp object to another. 

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.
Comment 1 Chris Weyl 2008-11-18 22:26:45 EST
Koji build fails due to missing br on perl(Test::More).

https://koji.fedoraproject.org/koji/taskinfo?taskID=938132
Comment 2 Iain Arnell 2008-11-19 00:03:11 EST
new SRPM URL: http://iarnell.fedorapeople.org/perl-Regexp-Copy-0.06-2.fc9.src.rpm

added the missing Test::More BR.
Comment 3 Chris Weyl 2008-11-19 23:28:55 EST
Looks good.

https://koji.fedoraproject.org/koji/taskinfo?taskID=940198

Spec looks sane, clean and consistent; license is correct (perl); make test
passes cleanly.

Source tarball matches upstream:
d0f3875e0655c0ac9eb37813ec82c137  Regexp-Copy-0.06.tar.gz
d0f3875e0655c0ac9eb37813ec82c137  Regexp-Copy-0.06.tar.gz.srpm

=====> perl-Regexp-Copy-0.06-2.fc9.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Regexp-Copy-0.06-2.fc9.x86_64.rpm
Copy.so()(64bit)  
perl(Regexp)  
perl(Regexp::Copy) = 0.06
perl(Regexp::Storable) = 0.06
perl-Regexp-Copy = 0.06-2.fc9
====> requires for perl-Regexp-Copy-0.06-2.fc9.x86_64.rpm
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
perl(:MODULE_COMPAT_5.10.0)  
perl(AutoLoader)  
perl(Carp)  
perl(DynaLoader)  
perl(Exporter)  
perl(Regexp::Storable)  
perl(strict)  
perl(vars)  
rtld(GNU_HASH)

APPROVED
Comment 4 Iain Arnell 2008-11-19 23:55:07 EST
New Package CVS Request
=======================
Package Name: perl-Regexp-Copy
Short Description: Copy Regexp objects
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-22 23:03:25 EST
cvs done.
Comment 6 Fedora Update System 2008-11-23 02:17:45 EST
perl-Regexp-Copy-0.06-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Regexp-Copy-0.06-2.fc10
Comment 7 Fedora Update System 2008-11-23 02:17:48 EST
perl-Regexp-Copy-0.06-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Regexp-Copy-0.06-2.fc9
Comment 8 Fedora Update System 2008-11-26 01:09:45 EST
perl-Regexp-Copy-0.06-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-26 01:24:18 EST
perl-Regexp-Copy-0.06-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.